org.apache.ignite.internal.processors.datastructures

## Class CollocatedSetItemKey

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.CollocatedSetItemKey

All Implemented Interfaces:
  GridCacheInternal, SetItemKey

    public class CollocatedSetItemKey
    extends Object
    implements SetItemKey

### Constructor Summary

Constructors
Constructor and Description
`CollocatedSetItemKey(String setName, IgniteUuid setId, Object item)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`Object` `item()`
`IgniteUuid` `setId()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CollocatedSetItemKey

    public CollocatedSetItemKey(String setName,
                                IgniteUuid setId,
                                Object item)

Parameters:
  `setName` - Set name.
  `setId` - Set unique ID.
  `item` - Set item.

### Method Detail

#### setId

    public IgniteUuid setId()

Specified by:
  `setId` in interface `SetItemKey`
Returns:
  Set UUID.

#### item

    public Object item()

Specified by:
  `item` in interface `SetItemKey`
Returns:
  Set item.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022